using Intrepid.GameManagers;
using Intrepid.Gameplay.Entities.Player.PDA.Events;
using Intrepid.Gameplay.Entities.Player.PDA.Inputs;
using Intrepid.Structures;

namespace Intrepid.Gameplay.Entities.Player.PDA.UI.Applications
{
    public class PDAGenericApplicationUI : PDAApplicationUI
    {
        public override bool IsLoading => false;

        public override void UpdateTheme()
        {
        }

        public override void UpdateApplication(PDAInputs inputs)
        {
            if (inputs.Cancel())
            {
                Proxy.Instance.EventBus.Raise(new PDAExitCurrentApplicationEvent());
            }
        }

        public override void LateUpdateApplication(PDAInputs inputs)
        {
        }

        protected override void Subscribing()
        {
        }

        protected override void WhenStarting(ParameterStore parameters)
        {
        }

        protected override void WhenFinishing()
        {
        }
    }
}